Bug 17429 - sun2mime calls nonexistent /bin/nawk for uudecode
sun2mime calls nonexistent /bin/nawk for uudecode
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: metamail (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-12 11:07 EDT by Joe Harrington
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-12 11:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Harrington 2000-09-12 11:07:57 EDT
Someone sends me a message with a uuencoded file.  I run metamail (out of
emacs rmail) and get the following message:

/usr/bin/sun2mime: /bin/nawk: No such file or directory
metamail: Could not find end of mail headers.

/bin/nawk is not owned by any package and does not exist.  It is not listed
as a file in the gawk package.

The mail headers were:

Date: Tue, 12 Sep 2000 10:41:20 -0400 (EDT)
From: Amy Simon <simon@rain.tn.cornell.edu>
To: jh@oobleck.tn.cornell.edu
Content-Type: X-sun-attachment

----------
X-Sun-Data-Type: default
X-Sun-Data-Description: default
X-Sun-Data-Name: SSAC_ltr.pdf
X-Sun-Encoding-Info: uuencode
X-Sun-Content-Lines: 634

begin 600 SSAC_ltr.pdf
M)5!$1BTQ+C(@#0HEXN//TPT*( T*,3(@,"!O8FH-"CP\#0HO3&5N9W1H(#$S
M(# @4@T*+T9I;'1E<B O1FQA=&5$96-O9&4@#0H^/@T*<W1R96%M#0I(B957
MR7+;.!#] O\#3C/)E,QP%Y4Y*78RRV%2%3N52RX0"8E(*$(!0&OT]_.P4:3L
[and so on]
M,# P(&X-"C P,# P,C8U-#0@,# P,# @;@T*,# P,# R-S S,B P,# P,"!N
M#0HP,# P,#(W,3$W(# P,# P(&X-"G1R86EL97(-"CP\#0HO4VEZ92 T-PT*
M+U)O;W0@,R P(%(-"B]);F9O(#$@,"!2#0HO240@6SQE,SDP9C4U-68R,F1A
M-64P86%F-#(U864S9F(T-V-F.#X\93,Y,&8U-35F,C)D835E,&%A9C0R-6%E
I,V9B-#=C9C@^70T*/CX-"G-T87)T>')E9@T*,C<R.#4-"B4E14]&#0HR
 
end

--jh--
Comment 1 Preston Brown 2001-02-01 13:21:55 EST
fixed in 2.7-26 and later.

Note You need to log in before you can comment on or make changes to this bug.